/*------------------------------------------------------------------------------
 * MDK Middleware - Component ::USB:Device
 * Copyright (c) 2004-2015 ARM Germany GmbH. All rights reserved.
 *------------------------------------------------------------------------------
 * Name:    CDC_NCM.c
 * Purpose: USB CDC Network Control Model (NCM) demonstration
 *----------------------------------------------------------------------------*/

#include "cmsis_os.h"
#include "rl_usb.h"

#include "sam.h"

extern void _SetupMemoryRegion( void );

int main (void) {

  /* Disable watchdog */
  WDT->WDT_MR = WDT_MR_WDDIS;
  
  /* Setup MPU */
  _SetupMemoryRegion();
  
  /* Update system clock */
  SystemCoreClockUpdate();
  
  /* Enable cache */
  SCB_EnableDCache();
  SCB_EnableICache();

  USBD_Initialize   (0);                // USB Device 0 Initialization
  USBD_Connect      (0);                // USB Device 0 Connect

  while (!USBD_Configured (0));

  osThreadSetPriority(osThreadGetId(), osPriorityIdle);
  for (;;);                             // Endless Loop
}
