/*----------------------------------------------------------------------------
 * Name:    main.c
 *----------------------------------------------------------------------------
 * This file is part of the uVision/ARM development tools.
 * This software may only be used under the terms of a valid, current,
 * end user licence from KEIL for a compatible version of KEIL software
 * development tools. Nothing else gives you the right to use this software.
 *
 * This software is supplied "AS IS" without warranties of any kind.
 *
 * Copyright (c) 2004-2015 Keil - An ARM Company. All rights reserved.
 *----------------------------------------------------------------------------*/

#include "sam.h"                        // Device header
#include "rl_usb.h"                     // Keil.MDK-Pro::USB:CORE
#include "Board_LED.h"
#include "Board_Buttons.h"


/*----------------------------------------------------------------------------
  Main function
 *----------------------------------------------------------------------------*/
int main (void) {
  uint8_t but;
  uint8_t buf;
	
  /* Disable watchdog */
  WDT->WDT_MR = WDT_MR_WDDIS;
	
  /* Update system clock */
  SystemCoreClockUpdate();
  
  /* Enable data cache */
  SCB_EnableDCache();	
  SCB_EnableICache();
  
  LED_Initialize    ();
  Buttons_Initialize();
  
  USBD_Initialize    (0);               /* USB Device 0 Initialization        */
  USBD_Connect       (0);               /* USB Device 0 Connect               */
 	
  while (1) {
    but = (uint8_t)(Buttons_GetState ());
    if ((but ^ buf) & 3) {
      buf = but & 3;
      USBD_HID_GetReportTrigger(0, 0, &buf, 1);
      SCB_CleanInvalidateDCache();
    }
    osDelay(100);                       /* 100 ms delay for sampling buttons  */		
  }

}
