/* -----------------------------------------------------------------------------
 * Copyright (c) 2015 ARM Ltd.
 *
 * This software is provided 'as-is', without any express or implied warranty.
 * In no event will the authors be held liable for any damages arising from
 * the use of this software. Permission is granted to anyone to use this
 * software for any purpose, including commercial applications, and to alter
 * it and redistribute it freely, subject to the following restrictions:
 *
 * 1. The origin of this software must not be misrepresented; you must not
 *    claim that you wrote the original software. If you use this software in
 *    a product, an acknowledgment in the product documentation would be
 *    appreciated but is not required.
 *
 * 2. Altered source versions must be plainly marked as such, and must not be
 *    misrepresented as being the original software.
 *
 * 3. This notice may not be removed or altered from any source distribution.
 *
 * $Date:        01. September 2015
 * $Revision:    V1.00
 *
 * Project:      CMSIS USB High-Speed Host Driver for Atmel SAM-ESV7
 * -------------------------------------------------------------------------- */

#ifndef __USBH_SAM_ESV7_H
#define __USBH_SAM_ESV7_H

#include "RTE_Device.h"
#include "RTE_Components.h"
#include "Driver_USBH.h"
#include "chip.h"
#include <stdint.h>
#include <string.h>

#if (defined(RTE_Drivers_USBH) && (RTE_USBH == 0))
  #error "USB Host not configured in RTE_Device.h!"
#endif

// USB Host driver definitions
#define USBH_DRIVER_INITIALIZED (1U)
#define USBH_DRIVER_POWERED     (1U << 1)
#define USBH_DRIVER_CONNECTED   (1U << 2)

#endif /* __USBH_SAM_ESV7_H */
